We build. You grow.

Get best community software here

Start a social network, a fan-site, an education project with oxwall - free opensource community software

whats some ideas to cure this. | Forum

jody huth
jody huth Mar 27 '17
ok i had 2 oxwall sites neither of them would update. so i got rid of both of them all files and dbs. Just installed a fresh install and same issue get this error on the platform update.

Message:
mkdir(): File exists File: /home/jodyhuth69/public_html/ow_system_plugins/admin/controllers/storage.php Line: 216
Senior Developer Leader
Senior Developer Mar 27 '17
You need to have dev mode and debug mode disabled before run any update.


The latest Oxwall version requires PHP 5.5 to properly work.

Please install this plugin to make sure that your server meets all the minimum requirements:https://developers.oxwall.com/store/item/1356 


Maybe there is a misconfiguration on your server.

jody huth
jody huth Mar 27 '17
still running 1.8.3  installatron wont do 1.8.4 and dev and debug was changed to false before the update
Senior Developer Leader
Senior Developer Mar 27 '17
Why don't you download 1.8.4, upload files via FTP and do a manually install ?


jody huth
jody huth Mar 27 '17
that minimum requirements tool uploaded perfectly but nothing else does. But how do i see the results of it?
jody huth
jody huth Mar 27 '17
never mind found it

Senior Developer Leader
Senior Developer Mar 27 '17
To do the test, please click on the settings button of that plugin on the Installed plugins list.
jody huth
jody huth Mar 27 '17
Apache Version:     X
Mod Rewrite:   Please check your php info for this value   X Mod Security:   Please check your php info for this value   X suPHP:   Please check your php info for this value   X suApache:   Please check your php info for this value   X suHosin:   Please check your php info for this value   X
MailServer:   X Cron:   X

are these changable by me? through cpanel
Senior Developer Leader
Senior Developer Mar 27 '17
It looks like the plugin is unable to read the values from the server for an unknown reason.


The plugin is like a shortcut to look that your server meets the minimal requirements, you can share this link with the hosting to ask them why your website update it is not working http://www.oxwall.org/hosting


You will find the minimum requirements at the right side of that page.

In some hostings you can make some changes, but usually the people send the link to their technical support to get proper help.


Send them a screenshot of the results and the link that I posted here, and tell them what is exactly your issue, so they can find out more easy. You can ask to the developer of that plugin too, maybe he can figure it out why his plugin is unable to read the specs of your hosting. By the way, which hosting provider you are with?

The Forum post is edited by Senior Developer Mar 27 '17
jody huth
jody huth Mar 27 '17
ok thanks